## zope.testrunner 8.1

=== docs/requirements.txt ===
Sphinx
sphinxcontrib.programoutput
zope.testrunner

## zope.testrunner 4.0.3

=== debian/changelog ===
zope.testrunner (4.0.3-3build1) raring; urgency=low

  * Rebuild against python3.3.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Oct 2012 18:56:30 +0100

zope.testrunner (4.0.3-3) unstable; urgency=low

  * Team upload.
  * debian/rules:
    + Trap shell command errors if any as per Policy 4.6. Closes: #645184.
    + Clean up build directory for python3 and egg-info directory.
      Closes: #645186.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 14 Oct 2011 10:52:05 +0900

zope.testrunner (4.0.3-2) unstable; urgency=low

  * Team upload.

  [ Arnaud Fontaine ]
  * debian/control:
    + Add zope.fixers to Build-Depends (needed for Python 3 only).
      Closes: #628246.

  [ Brian Sutherland ]
  * Correct path to test script in test_helper_3.
  * Add debian/tests.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 30 May 2011 15:56:08 +0900

zope.testrunner (4.0.3-1) unstable; urgency=low

  * Initial packaging.

 -- Brian Sutherland <brian@vanguardistas.net>  Thu, 28 Apr 2011 12:08:42 +0200

=== debian/control ===
Source: zope.testrunner
Section: zope
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>
Build-Depends: debhelper (>= 7.0.50~),
               python-all (>= 2.6.6-3~),
               python3-all,
               python-setuptools,
               python3-setuptools,
               python3-zope.fixers
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.1
Homepage: http://pypi.python.org/pypi/zope.testrunner
Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.testrunner/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.testrunner/trunk

Package: python3-zope.testrunner
Architecture: all
Depends: python3-zope, python3-setuptools, ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: Flexible test runner with layer support for Python 3
 The testrunner module is used to run automated tests defined using the
 unittest framework and previously available in zope.testing.
 .
 Its primary feature is that it finds tests by searching directory trees. It
 doesn't require the manual concatenation of specific test suites. It is
 highly customizable and should be usable with any project.

Package: python-zope.testrunner
Architecture: all
Depends: python-zope, python-setuptools, ${python:Depends}, ${misc:Depends}
Replaces: python-zope.testing (<< 3.10.0)
Breaks: python-zope.testing (<< 3.10.0)
Provides: ${python:Provides}
Description: Flexible test runner with layer support for Python
 The testrunner module is used to run automated tests defined using the
 unittest framework and previously available in zope.testing.
 .
 Its primary feature is that it finds tests by searching directory trees. It
 doesn't require the manual concatenation of specific test suites. It is
 highly customizable and should be usable with any project.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with python2 --with python3 $@

PACKAGE=python-zope.testrunner
PACKAGE_PYTHON3=python3-zope.testrunner

PYTHON3=$(shell py3versions -r)

override_dh_auto_clean:
	dh_auto_clean

	rm -f src/zope.testrunner.egg-info/*

	# Specific to python3
	rm -rf build

override_dh_auto_build:
	dh_auto_build -p$package

	set -ex; \
	for python in $(PYTHON3); do \
		$$python setup.py build; \
	done

override_dh_auto_install:
	dh_auto_install -p$package --destdir=$(CURDIR)/debian/$(PACKAGE)

	set -ex; \
	for python in $(PYTHON3); do \
		$$python setup.py install --install-layout=deb \
			--root=$(CURDIR)/debian/$(PACKAGE_PYTHON3); \
	done

	mv $(CURDIR)/debian/$(PACKAGE_PYTHON3)/usr/bin/zope-testrunner \
		$(CURDIR)/debian/$(PACKAGE_PYTHON3)/usr/bin/zope-testrunner3

## zope.testrunner 4.4.1

=== debian/changelog ===
zope.testrunner (4.4.1-0ubuntu3) saucy; urgency=low

  * Jenkins, please test this package for i386.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 15 Jul 2013 12:05:24 +0300

zope.testrunner (4.4.1-0ubuntu1) saucy; urgency=low

  * New upstream release.
    + Drop patches, fixed upstream.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 10 Jul 2013 19:22:18 +0300

zope.testrunner (4.4.0-0ubuntu2) saucy; urgency=low

  * debian/tests/control:
    + Tests require python*-setuptools.
    + Remove python3-subunit from all-3, subunit support does not work.
  * test-writes-to-system-directory.patch: fix tests failing with
    permission denied error.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 09 Jul 2013 20:11:13 +0300

zope.testrunner (4.4.0-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/*.docs: update for moved files.
  * debian/control:
    + Remove python3-zope.fixers from Build-Depends, no longer needed.
    + Remove setuptools from Depends
  * debian/rules:
    + Add workaround for dh_python3 not removing setuptools from requires.txt
    + Install upstream changelog
    + Do not remove .egg-info on clean
  * debian/source/options: add to ignore changes in .egg-info directory
  * test-failures-on-python3.patch: fix a test failure.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 05 Jul 2013 19:21:38 +0300

zope.testrunner (4.0.3-4) unstable; urgency=low

  * Team upload.
  * debian/control:
    + zope.exceptions >= 4.0.1 is required for python3.3 otherwise
      it cannot be imported.
    + Use canonical URI for Vcs-Svn.
    + Bump Standards-Version to 3.9.4. No changes needed.
    + Enable autopkgtest. Closes: #692702.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 11 Jun 2013 15:40:01 +0900

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --with python3

PACKAGE=python-zope.testrunner
PACKAGE_PYTHON3=python3-zope.testrunner

PYTHON3=$(shell py3versions -r)

override_dh_auto_clean:
	dh_auto_clean
	
	# Specific to python3
	rm -rf build

override_dh_auto_build:
	dh_auto_build -p$(PACKAGE)
	
	set -ex; \
	for python in $(PYTHON3); do \
		$$python setup.py build; \
	done

override_dh_auto_install:
	dh_auto_install -p$(PACKAGE) --destdir=$(CURDIR)/debian/$(PACKAGE)
	
	set -ex; \
	for python in $(PYTHON3); do \
		$$python setup.py install --install-layout=deb \
			--root=$(CURDIR)/debian/$(PACKAGE_PYTHON3); \
	done
	
	mv $(CURDIR)/debian/$(PACKAGE_PYTHON3)/usr/bin/zope-testrunner \
		$(CURDIR)/debian/$(PACKAGE_PYTHON3)/usr/bin/zope-testrunner3

override_dh_gencontrol:
	dh_gencontrol
	
	# Workaround for dh_python3 not removing python-setuptools from requires.txt
	find debian/$(PACKAGE_PYTHON3) -name requires.txt -exec sed -i '/^setuptools$$/d' {} \;

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

## zope.testrunner 4.4.2

=== debian/changelog ===
zope.testrunner (4.4.2-0ubuntu2) trusty; urgency=low

  * Restore changes lost in previous upload:
    - Do not depend on a specific python version.

 -- Gediminas Paulauskas <menesis@pov.lt>  Sun, 23 Feb 2014 19:18:21 +0200

zope.testrunner (4.4.2-0ubuntu1) trusty; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Sat, 22 Feb 2014 19:29:21 +0200

zope.testrunner (4.4.1-0ubuntu5) trusty; urgency=medium

  * Do not depend on a specific python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 22 Feb 2014 15:36:49 +0100

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,17 @@
                python3-all,
                python-setuptools,
                python3-setuptools,
-               python3-zope.fixers
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.1
+XS-Testsuite: autopkgtest
 Homepage: http://pypi.python.org/pypi/zope.testrunner
-Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.testrunner/trunk
+Vcs-Svn: svn://anonscm.debian.org/pkg-zope/zope.testrunner/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.testrunner/trunk
 
 Package: python3-zope.testrunner
 Architecture: all
-Depends: python3-zope, python3-setuptools, ${python3:Depends}, ${misc:Depends}
+Depends: python3-zope, ${python3:Depends}, ${misc:Depends}, python3-zope.exceptions (>= 4.0.1~)
 Provides: ${python3:Provides}
 Description: Flexible test runner with layer support for Python 3
  The testrunner module is used to run automated tests defined using the
@@ -31,7 +31,7 @@
 
 Package: python-zope.testrunner
 Architecture: all
-Depends: python-zope, python-setuptools, ${python:Depends}, ${misc:Depends}
+Depends: python-zope, ${python:Depends}, ${misc:Depends}
 Replaces: python-zope.testing (<< 3.10.0)
 Breaks: python-zope.testing (<< 3.10.0)
 Provides: ${python:Provides}

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,12 @@
 	mv $(CURDIR)/debian/$(PACKAGE_PYTHON3)/usr/bin/zope-testrunner \
 		$(CURDIR)/debian/$(PACKAGE_PYTHON3)/usr/bin/zope-testrunner3
 
+override_dh_python2:
+	dh_python2 --shebang=/usr/bin/python
+	
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
+	
 override_dh_gencontrol:
 	dh_gencontrol

=== debian/tests/control ===
Tests: all
Depends: python-all, python-zope.testing, python-zope.testrunner, python-subunit, python-setuptools

Tests: all-3
Depends: python3-all, python3-zope.testing, python3-zope.testrunner, python3-setuptools

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/z/zope.testrunner/zope.testrunner-(.*)(?:\.tar\.gz|\.zip)

## zope.testrunner 4.4.3

=== debian/changelog ===
zope.testrunner (4.4.3-1) unstable; urgency=low

  * Team upload.

  [ Matthias Klose ]
  * Do not depend on a specific python version.

  [ Gediminas Paulauskas ]
  * debian/tests/control:
    + Tests require python*-setuptools.
    + Remove python3-subunit from all-3, subunit support does not work.
  * debian/*.docs: update for moved files.
  * debian/control:
    + Remove python3-zope.fixers from Build-Depends, no longer needed.
    + Remove setuptools from Depends
  * debian/rules:
    + Add workaround for dh_python3 not removing setuptools from requires.txt
    + Install upstream changelog
    + Do not remove .egg-info on clean
  * debian/source/options: add to ignore changes in .egg-info directory

  [ Barry Warsaw ]
  * New upstream release.
  * Rebuild eliminates dependency on python3.3.  Closes: #751647
  * debian/control: Bump Standards-Version to 3.9.5 with no other
    changes necessary.

 -- Barry Warsaw <barry@debian.org>  Tue, 17 Jun 2014 15:04:26 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: zope.testrunner
 Section: zope
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
+Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
 Uploaders: Brian Sutherland <brian@vanguardistas.net>
 Build-Depends: debhelper (>= 7.0.50~),
                python-all (>= 2.6.6-3~),
                python3-all,
                python-setuptools,
                python3-setuptools,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.1
 XS-Testsuite: autopkgtest

## zope.testrunner 4.4.9

=== debian/changelog ===
zope.testrunner (4.4.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Bump Standards-Version with no other changes needed.
  * debian/watch: Use pypi.debian.net redirector.
  * debian/tests/{control,all-2,all-3}: Simplify to just import tests, to
    match the other zope.* Debian packages.

 -- Barry Warsaw <barry@debian.org>  Fri, 17 Jul 2015 15:55:31 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python-setuptools,
                python3-setuptools,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.1
 XS-Testsuite: autopkgtest

=== debian/tests/control ===
Tests: all-2 all-3
Depends: @

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/zope.testrunner/zope.testrunner-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zope.testrunner 5.2

=== debian/changelog ===
zope.testrunner (5.2-3) unstable; urgency=medium

  * QA upload

  [ Sebastian Ramacher ]
  * Make python3-zope.testrunner.bcep compatible with
    py3compile in buster (Closes: #986903)

 -- Graham Inggs <ginggs@debian.org>  Wed, 14 Apr 2021 12:27:28 +0000

zope.testrunner (5.2-2) unstable; urgency=medium

  * Don't byte-compile the tests.
  * Add test dependencies.

 -- Matthias Klose <doko@debian.org>  Mon, 23 Nov 2020 09:12:19 +0100

zope.testrunner (5.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream version, compatible with Python 3.9.
  * Bump debhelper and standards versions.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Nov 2020 16:38:16 +0100

zope.testrunner (4.4.9-4) unstable; urgency=medium

  * QA upload.
  * Drop custom autopkgtest and use autopkgtest-pkg-python (Closes:
    #940315)

 -- Paul Gevers <elbrus@debian.org>  Fri, 20 Sep 2019 21:56:25 +0200

zope.testrunner (4.4.9-3) unstable; urgency=medium

  * QA upload.
  * Fix error in breaks/replaces relationship, change python3-zope.testrunner to
    python-zope.testrunner (Closes: 939620)

 -- Peter Michael Green <plugwash@debian.org>  Thu, 12 Sep 2019 18:19:28 +0000

zope.testrunner (4.4.9-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. Closes: #869467.
  * Stop building the Python2 package. Closes: #938919.
  * Fix lintian warnings.
  * Provide both zope-testrunner and zope-testrunner3 scripts.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Sep 2019 08:58:51 +0200

=== debian/control ===
Source: zope.testrunner
Section: zope
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-six,
               python3-zope.exceptions,
               python3-zope.interface,
               python3-zope.testing <!nocheck>,
Standards-Version: 4.5.1
Testsuite: autopkgtest-pkg-python
Homepage: http://pypi.python.org/pypi/zope.testrunner

Package: python3-zope.testrunner
Architecture: all
Depends: python3-zope, ${python3:Depends}, ${misc:Depends}, python3-zope.exceptions (>= 4.0.1~)
Provides: ${python3:Provides}
Breaks: python-zope.testrunner (<< 4.4.9-2)
Replaces: python-zope.testrunner (<< 4.4.9-2)
Description: Flexible test runner with layer support for Python 3
 The testrunner module is used to run automated tests defined using the
 unittest framework and previously available in zope.testing.
 .
 Its primary feature is that it finds tests by searching directory trees. It
 doesn't require the manual concatenation of specific test suites. It is
 highly customizable and should be usable with any project.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -with python3 --buildsystem=pybuild

PACKAGE_PYTHON3=python3-zope.testrunner

PYTHON3=$(shell py3versions -r)

override_dh_auto_test:
	-dh_auto_test

override_dh_auto_install:
	dh_auto_install
	
	ln -sf zope-testrunner \
	  debian/$(PACKAGE_PYTHON3)/usr/bin/zope-testrunner3

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3 -X tests
	
override_dh_gencontrol:
	dh_gencontrol
	
	# Workaround for dh_python3 not removing python-setuptools from requires.txt
	find debian/$(PACKAGE_PYTHON3) -name requires.txt -exec sed -i '/^setuptools$$/d' {} \;

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

## zope.testrunner 5.6

=== debian/changelog ===
zope.testrunner (5.6-1) unstable; urgency=medium

  * Switch Maintainer to the Debian Python Team (closes: #948817).
  * Update Homepage to https://github.com/zopefoundation/zope.testrunner.
  * Use versioned copyright format URI.
  * Use secure URI in debian/watch.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * New upstream release.
  * Run tests properly, using zope.testrunner itself.
  * Set Rules-Requires-Root: no.

 -- Colin Watson <cjwatson@debian.org>  Tue, 20 Dec 2022 01:06:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: zope.testrunner
 Section: zope
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 11),
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Colin Watson <cjwatson@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -10,9 +11,12 @@
                python3-zope.exceptions,
                python3-zope.interface,
                python3-zope.testing <!nocheck>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Testsuite: autopkgtest-pkg-python
-Homepage: http://pypi.python.org/pypi/zope.testrunner
+Homepage: https://github.com/zopefoundation/zope.testrunner
+Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.testrunner
+Vcs-Git: https://salsa.debian.org/python-team/packages/zope.testrunner.git
+Rules-Requires-Root: no
 
 Package: python3-zope.testrunner
 Architecture: all

## zope.testrunner 6.4

=== debian/changelog ===
zope.testrunner (6.4-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Remove obsolete dependency on python3-six.

  [ Colin Watson ]
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 03 Mar 2024 12:11:23 +0000

zope.testrunner (6.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 13 Feb 2024 09:44:20 +0000

zope.testrunner (6.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 25 Dec 2023 13:35:45 +0000

zope.testrunner (6.2-2) unstable; urgency=medium

  * Team upload.
  * Work around Python 3.12 no longer calling ``startTest`` for skipped tests,
    taken from upstream. Closes: #1057654, #1058382.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Dec 2023 17:37:35 +0100

zope.testrunner (6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Dec 2023 20:21:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
                dh-python,
                python3-all,
                python3-setuptools,
-               python3-six,
                python3-zope.exceptions,
                python3-zope.interface,
                python3-zope.testing <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,10 @@
 #!/usr/bin/make -f
+
+export PYBUILD_TEST_CUSTOM=1
+# Exclude testrunner-eggsupport.rst because zope.testrunner isn't
+# sufficiently installed while running its tests here for ftest to show up
+# as an entry point.
+export PYBUILD_TEST_ARGS={interpreter} -m zope.testrunner --test-path . -vv -t '!testrunner-eggsupport\.rst'
 
 %:
 	dh $@ -with python3 --buildsystem=pybuild
@@ -6,9 +12,6 @@
 PACKAGE_PYTHON3=python3-zope.testrunner
 
 PYTHON3=$(shell py3versions -r)
-
-override_dh_auto_test:
-	-dh_auto_test
 
 override_dh_auto_install:
 	dh_auto_install

## zope.testrunner 6.5

=== debian/changelog ===
zope.testrunner (6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 09 Aug 2024 13:51:40 +0100

zope.testrunner (6.4-2) unstable; urgency=medium

  * Use pybuild-plugin-pyproject.
  * Switch to autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Wed, 05 Jun 2024 11:12:00 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,
                python3-zope.exceptions,
                python3-zope.interface,
                python3-zope.testing <!nocheck>,
 Standards-Version: 4.6.1
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/zopefoundation/zope.testrunner
 Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.testrunner
 Vcs-Git: https://salsa.debian.org/python-team/packages/zope.testrunner.git

=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,19 @@
 #!/usr/bin/make -f
 
-export PYBUILD_TEST_CUSTOM=1
+export PYBUILD_TEST_CUSTOM := 1
 # Exclude testrunner-eggsupport.rst because zope.testrunner isn't
 # sufficiently installed while running its tests here for ftest to show up
 # as an entry point.
-export PYBUILD_TEST_ARGS={interpreter} -m zope.testrunner --test-path . -vv -t '!testrunner-eggsupport\.rst'
+export PYBUILD_TEST_ARGS := \
+	{interpreter} -m zope.testrunner \
+		--test-path $(if $(PYBUILD_AUTOPKGTEST),/usr/lib/python3/dist-packages,.) \
+		--package zope.testrunner \
+		-vv -t '!testrunner-eggsupport\.rst'
 
 %:
 	dh $@ -with python3 --buildsystem=pybuild
 
 PACKAGE_PYTHON3=python3-zope.testrunner
-
-PYTHON3=$(shell py3versions -r)
 
 override_dh_auto_install:
 	dh_auto_install

## zope.testrunner 6.6

=== debian/changelog ===
zope.testrunner (6.6-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.7.0.

 -- Colin Watson <cjwatson@debian.org>  Sun, 20 Oct 2024 13:17:18 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-zope.exceptions,
                python3-zope.interface,
                python3-zope.testing <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/zopefoundation/zope.testrunner
 Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.testrunner

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,8 @@
 	  debian/$(PACKAGE_PYTHON3)/usr/bin/zope-testrunner3
 
 override_dh_python3:
-	dh_python3 --shebang=/usr/bin/python3 -X tests
-	
+	dh_python3 --shebang=/usr/bin/python3
+
 override_dh_gencontrol:
 	dh_gencontrol

## zope.testrunner 6.6.1

=== debian/changelog ===
zope.testrunner (6.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sat, 14 Dec 2024 23:27:17 +0000

## zope.testrunner 6.7

=== debian/changelog ===
zope.testrunner (6.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.7
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Feb 2025 13:07:15 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,

## zope.testrunner 7.0

=== debian/changelog ===
zope.testrunner (7.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove dependency on python3-zope (only provided by
    python3-zope.interface, which we also depend on).

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Feb 2025 13:42:08 +0000

## zope.testrunner 7.2

=== debian/changelog ===
zope.testrunner (7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 Mar 2025 12:45:57 +0000

zope.testrunner (7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 05 Mar 2025 16:53:11 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 Package: python3-zope.testrunner
 Architecture: all
-Depends: python3-zope, ${python3:Depends}, ${misc:Depends}, python3-zope.exceptions (>= 4.0.1~)
+Depends: ${python3:Depends}, ${misc:Depends}, python3-zope.exceptions (>= 4.0.1~)
 Provides: ${python3:Provides}
 Breaks: python-zope.testrunner (<< 4.4.9-2)
 Replaces: python-zope.testrunner (<< 4.4.9-2)

=== debian/rules ===
--- 
+++ 
@@ -11,22 +11,18 @@
 		-vv -t '!testrunner-eggsupport\.rst'
 
 %:
-	dh $@ -with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 PACKAGE_PYTHON3=python3-zope.testrunner
 
-override_dh_auto_install:
-	dh_auto_install
-	
+execute_after_dh_auto_install:
 	ln -sf zope-testrunner \
 	  debian/$(PACKAGE_PYTHON3)/usr/bin/zope-testrunner3
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
 
-override_dh_gencontrol:
-	dh_gencontrol
-	
+execute_after_dh_gencontrol:
 	# Workaround for dh_python3 not removing python-setuptools from requires.txt
 	find debian/$(PACKAGE_PYTHON3) -name requires.txt -exec sed -i '/^setuptools$$/d' {} \;

## zope.testrunner 7.3

=== debian/changelog ===
zope.testrunner (7.3-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Drop ancient Breaks & Replaces against the old Py2-only package.

  [ Colin Watson ]
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 15 May 2025 11:05:07 +0100

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,6 @@
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3-zope.exceptions (>= 4.0.1~)
 Provides: ${python3:Provides}
-Breaks: python-zope.testrunner (<< 4.4.9-2)
-Replaces: python-zope.testrunner (<< 4.4.9-2)
 Description: Flexible test runner with layer support for Python 3
  The testrunner module is used to run automated tests defined using the
  unittest framework and previously available in zope.testing.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/zope.testrunner/zope.testrunner-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zope.testrunner 7.4

=== debian/changelog ===
zope.testrunner (7.4-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Aug 2025 10:55:50 +0100

## zope.testrunner 8.0

=== debian/changelog ===
zope.testrunner (8.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Sep 2025 10:34:14 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-zope.exceptions,
                python3-zope.interface,
                python3-zope.testing <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/zopefoundation/zope.testrunner
 Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.testrunner

## zope.testrunner 8.1

=== debian/changelog ===
zope.testrunner (8.1-1) unstable; urgency=medium

  * New upstream release:
    - Remove run-time dependency on setuptools (closes: #1084020).

 -- Colin Watson <cjwatson@debian.org>  Fri, 03 Oct 2025 10:49:46 +0100

zope.testrunner (8.0-2) unstable; urgency=medium

  * Team Upload
  * Trim d/rules & remove useless override
  * Drop "Rules-Requires-Root: no": it is now the default
  * Add debian/salsa-ci.yml

 -- Alexandre Detiste <tchet@debian.org>  Sun, 21 Sep 2025 11:41:57 +0200

=== debian/control ===
Source: zope.testrunner
Section: zope
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Colin Watson <cjwatson@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
 python3-zope.exceptions,
 python3-zope.interface,
 python3-zope.testing <!nocheck>,
Standards-Version: 4.7.2
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/zopefoundation/zope.testrunner
Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.testrunner
Vcs-Git: https://salsa.debian.org/python-team/packages/zope.testrunner.git

Package: python3-zope.testrunner
Architecture: all
Depends:
 python3-zope.exceptions (>= 4.0.1~),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: Flexible test runner with layer support for Python 3
 The testrunner module is used to run automated tests defined using the
 unittest framework and previously available in zope.testing.
 .
 Its primary feature is that it finds tests by searching directory trees. It
 doesn't require the manual concatenation of specific test suites. It is
 highly customizable and should be usable with any project.

=== debian/rules ===
--- 
+++ 
@@ -13,18 +13,13 @@
 %:
 	dh $@ --buildsystem=pybuild
 
-PACKAGE_PYTHON3=python3-zope.testrunner
-
 execute_after_dh_auto_install:
 	ln -sf zope-testrunner \
-	  debian/$(PACKAGE_PYTHON3)/usr/bin/zope-testrunner3
-
-override_dh_python3:
-	dh_python3 --shebang=/usr/bin/python3
+	  debian/python3-zope.testrunner/usr/bin/zope-testrunner3
 
 execute_after_dh_gencontrol:
 	# Workaround for dh_python3 not removing python-setuptools from requires.txt
-	find debian/$(PACKAGE_PYTHON3) -name requires.txt -exec sed -i '/^setuptools$$/d' {} \;
+	find debian/python3-zope.testrunner -name requires.txt -exec sed -i '/^setuptools$$/d' {} \;
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES.rst

## zope.testrunner 8.2

=== debian/changelog ===
zope.testrunner (8.2-1) unstable; urgency=medium

  * New upstream release:
    - Add support for Python 3.14 (closes: #1123371).

 -- Colin Watson <cjwatson@debian.org>  Fri, 23 Jan 2026 11:07:22 +0000
